#include<stdio.h>
#include<iostream>
#include <algorithm>
#include<math.h>
int a[1000];
int broj[1000];
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int x,y,z;
	cin >> x >> y >> z;
	int a,b,c,d,e,f;
	int x1=x,y1=y,z1=z;
	int br1=0,br2=0,br3=0;
	if(x1==0)
	br1=0;
	else while(x1>0)
	{
		br1++;
		x1=x1/10;
	}
	if(y1==0)
	br2=0;
	else while(y1>0)
	{
		br2++;
		y1=y1/10;
	}
	if(z1==0)
	br3=0;
	else while(z1>0)
	{
		br3++;
		z1=z1/10;
	}
	a=x+y*pow(10,br1)+z*pow(10,(br1+br2));
	b=x+z*pow(10,br1)+y*pow(10,(br1+br3));
	c=y+x*pow(10,br2)+z*pow(10,(br1+br2));
	d=y+z*pow(10,br2)+x*pow(10,(br3+br2));
	e=z+x*pow(10,br3)+y*pow(10,(br1+br3));
	f=z+y*pow(10,br3)+x*pow(10,(br3+br2));
	int max=a;
	if(b>max)
	max=b;
	if(c>max)
	max=c;
	if(d>max)
	max=d;
	if(e>max)
	max=e;
	if(f>max)
	max=f;
	cout << max;
}